[Mailman-Users] New apache is causing my mailman to fail...

Steve Rifkin steve410 at cs.jhu.edu
Thu Nov 21 20:54:33 CET 2002

Python worked fine before and after the openssl upgrade.  Mailman worked before 
the openssl upgrade but only with the older Apache.  With the new Apache and 
older ssl, mailman's web interface broke.  Same errors.  With the new openssl, 
we still get the same errors.  As a precaution, I reinstalled python again.  
Openssl and python and apache all work, just not with mailman.


> Date: Thu, 21 Nov 2002 12:50:38 -0700
> From: "Ashley M. Kirchner" <ashley at pcraft.com>
> X-Accept-Language: en
> MIME-Version: 1.0
> To: Steve Rifkin <steve410 at cs.jhu.edu>
> CC: mailman-users at python.org, tomoakes at usa.net
> Subject: Re: [Mailman-Users] New apache is causing my mailman to fail...
> Content-Transfer-Encoding: 7bit
> Steve Rifkin wrote:
> > admin(8622): ImportError: ld.so.1: /usr/local/bin/python: fatal:
> > /usr/local/ssl/lib/libssl.so.0.9.6: bad ELF flags value: 768
>     My guess would be that you compiled python yourself, against the old 
> of openssl.  now that you've upgraded openssl, python doesn't work because it
> can't find the old openssl.  Or at least, the library isn't the same.  If you
> tried running python by itself (just type in /usr/local/bin/python), you may 
> that it won't work either.  You'll have to recompile python again.
> --
> W | I haven't lost my mind; it's backed up on tape somewhere.
>   +--------------------------------------------------------------------
>   Ashley M. Kirchner <mailto:ashley at pcraft.com>   .   303.442.6410 x130
>   IT Director / SysAdmin / WebSmith             .     800.441.3873 x130
>   Photo Craft Laboratories, Inc.            .     3550 Arapahoe Ave. #6
>   http://www.pcraft.com ..... .  .    .       Boulder, CO 80303, U.S.A.

Steve Rifkin - JHU CS Dept Sr. Unix Systems Administrator
               Technical Director
steve410 at cs.jhu.edu

More information about the Mailman-Users mailing list